Page MenuHomePhabricator

Hackathon Showcase in Montreal should be friendly for non-technical people
Closed, ResolvedPublic

Description

I would like to find someone who will spend 30 seconds after each presentation summarizing what was said and putting it in context for a non-technical crowd.

Also we will need note-takers for this sessions who adds links and comments from the presentations.

Event Timeline

Rfarrand triaged this task as Medium priority.Mar 16 2017, 10:15 PM
Rfarrand lowered the priority of this task from Medium to Low.May 15 2017, 9:59 PM

I am lowering the priority of this task to keep only things that need to be done before or during the Vienna Hackathon & WikiCite conference on "normal" priority or above.

Quiddity renamed this task from Hackathon Showcase in Montreal Should be Friendly for non-technical people to Hackathon Showcase in Montreal should be friendly for non-technical people.Jun 23 2017, 9:28 PM
Quiddity updated the task description. (Show Details)
Quiddity added subscribers: CKoerner_WMF, Trizek-WMF.
Quiddity added a subscriber: Quiddity.

@CKoerner_WMF, @Trizek-WMF , and I, can probably do the notes again.

@Quiddity Awesome!
And if you have any advice for how we can help the presenters make the showcase friendly for non-technical people then please let me know.

Besides asking them to add a sentence or two at the end with bigger picture informaiton the MC ( @siebrand ) can probably help add some context also.

Qgil added a subscriber: Qgil.Jun 26 2017, 7:38 AM

I would like to find someone who will spend 30 seconds after each presentation summarizing what was said and putting it in context for a non-technical crowd.

Considering that presentations are a couple of minutes long, that extra summary will eat a lot of time. What if instead we make clear to all presenters that the audience includes many non-technical people real users, and therefore they should focus first on user-facing benefits / fixes / changes, and if they have still time they can go more technical at the end?

Also, will this showcase be recorded?

I +1 Quim (and I'll be happy to take notes, as usual).

Quiddity closed this task as Resolved.Aug 10 2017, 6:57 PM

This info was placed in the sheets of paper distributed to showcase presenters, i.e. T169014: Showcase template for participants @ Wikimania Hack

Qgil awarded a token.